Subject: Re: Active networks

From: Sivashankaran R <[email-masked]>
Date: Tue, 29 Aug 2000 21:17:07 +0530 (IST)

Is there a possible smart router that just priorotizes packets based  on its 
contents in a secure and scalabale N/W ??
  
  Thanks ,
  Siva

>
>If "active network" means "the endpoints can program the
>routers", then probably never.  It's an interesting idea, but
>it'd be much too hard to make it secure and scalable.

Funny, that's what I think too (and I worked in the area for 4 years :-)
At least, not with the building blocks we have now.

>Also, it goes against the end-to-end principle: keep the routers
>simple, make sure the network delivers packets freely, and let
>the hosts implement about any more complicated behavior they
>need.  IP is all about smart hosts; AN is all about smart
>routers.  ATM was about smart routers (switches), too, and that's
>(part of?) why it didn't take off: ATM switches had too much work
>to do, so they didn't scale.  But an AN router would potentially
>be working much harder than an ATM switch.

That's not necessarily true; if a hypothetical active network infrastructure
was used to quickly deploy IPv6 on all the routers, there would be no
deviation from the end-to-end model, and it would arguably be a good thing.
It all depends on the flavor of active networking you're thinking of (data
vs control plane, modules vs packets, administrator vs user, etc.) There have
been some good survey papers on IEEE and ACM publications the past couple of
years, and the relevant DARPA page has a number of pointers to funded projects
(no, I don't remember the URL off the top of my head).

That said, your comment about complexity is all too true.
-Angelos

---

From: [email-masked]
Date: Tue, 29 Aug 2000 14:08:58 -0400

> contents in a secure and scalabale N/W ??

Possible.  Maybe.  High-performance?  If it's possible, we don't know how
to do it.  We have enough trouble just routing packets based on their
headers, without worrying about contents.

A case can be made that in a "secure" network, routers (a) have no business
looking inside, and (b) may not be ABLE to due to IPSec or SSL encryption.

-- 
				Valdis Kletnieks
				Operating Systems Analyst
				Virginia Tech